--[[
	Lua by JugadorXEI#1815 on Discord, @JugadorXEI on Twitter.
	Put "Lua.nowaterskip = true" in your map header to disable waterskips.
]]

local NOWATERSKIPVER = 1
if jug_nowaterskip == nil then
	rawset(_G, "jug_nowaterskip", {})
end

if jug_nowaterskip.ver == nil or jug_nowaterskip.ver < NOWATERSKIPVER then
-- start

local isWaterSkipEnabled = true

jug_nowaterskip.noWaterSkip = function(mobj)
	if isWaterSkipEnabled then return end
	if not mobj or not mobj.valid then return end
	if not mobj.player or not mobj.player.valid then return end
	
	mobj.player.kartstuff[k_waterskip] = 2

end

jug_nowaterskip.waterskipchecker = function()
	if leveltime ~= 2 then return end
	isWaterSkipEnabled = not (mapheaderinfo[gamemap].nowaterskip == "true")
end

-- Only hook these once, performance gain in case this script
-- is in multiple map packs
if jug_nowaterskip.ver == nil then
	addHook("MobjThinker", function(mobj)
		jug_nowaterskip.noWaterSkip(mobj)
	end, MT_PLAYER)

	addHook("ThinkFrame", function()
		jug_nowaterskip.waterskipchecker()
	end) 
end

-- end
jug_nowaterskip.ver = NOWATERSKIPVER
end